Subject: Re: Enable Wake-On-LAN in current Fedora

From: poma <[email-masked]>
Date: Tue, 14 Apr 2015 23:05:09 +0200

On 14.04.2015 18:06, Chris Adams wrote:
> Once upon a time, Sergio Pascual <[email-masked]> said:
>> I was wondering what is the "correct" way of enabling WOL on a network card.
> 
> I think it is enabled by default.  At least, I didn't do anything to
> enable it on a couple of computers at home and it "just works".
> 

# ethtool -i enp0s10 | grep driver
driver: forcedeth

# ethtool enp0s10 | grep Wake
	Supports Wake-on: g
	Wake-on: d

For some reason, at least some of
ethernet controllers as part of media and communications processors
e.g. NVIDIA Corporation MCP79 Ethernet
driven by "Reverse Engineered nForce ethernet driver" i.e. forcedeth.ko
still need WOL enablement routine:
/etc/udev/rules.d/100-wol.rules
ACTION=="add", SUBSYSTEM=="net", RUN+="/sbin/ethtool -s enp0s10 wol g"